=== debian/changelog ===
opencpn-plugin-findit (1.1001.0-0mx17+2) mx; urgency=medium

  * Set wxwidgets3 versions.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 17 Aug 2019 12:50:46 -0700

opencpn-plugin-findit (1.1001.0-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 10 Aug 2019 15:10:49 -0700

opencpn-plugin-findit (1.1001.0-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.
  * Upgraded the 2 wxwidgets build depends from 2.8 to 3.0.
  * Upgraded depends wx2.8-i18n to wx3.0-i18n

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 10 Aug 2019 14:11:42 -0700

opencpn-plugin-findit (1.1001.0-0~wily1) wily; urgency=low

  * Version 1.1001

 -- Pavel Kalian <pavel@kalian.cz>  Tue, 19 May 2015 06:32:28 -0500
